Create or update the events webhook configuration for the current account/environment.
PUT /webhooks/events
PUT
/webhooks/events
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ”Request body for creating or updating the events webhook configuration.
object
webhook
required
Destination URL that receives webhook event payloads. Must be a valid http(s) URL.
string
events
required
List of event types that should be forwarded to the webhook URL.
Array<string>
Responses
Section titled “ Responses ”Successful response
Events webhook configuration returned by the API.
object
webhookId
required
Storage key in the format accountId:envId (currently accountId:accountId for account-scoped usage).
string
webhook
required
Destination URL that receives webhook event payloads.
string
events
required
List of subscribed event types for this webhook configuration.
Array<string>
Bad Request
Unauthorized
Internal Server Error